#######################################
##                                   ##
##  LLTP Universal Gallery Unlocker  ##
##  By: SomeGuyWithNoImagination     ##
##                                   ##
##  Game Version: ANY                ##
##  Mod Version: v1.1.0              ##
##                                   ##
#######################################

# This mod should work with any version of LLTP - past, present, or future.

init 10 python:
    # Use Regex
    import re

    # 'extras.rpy' contains the code for the gallery
    with renpy.file('extras.rpy') as f:
        code = f.read()

        # Search for gallery scenes and unlock them.
        for i in re.findall(r"if renpy\.seen_label\(\"(.*)\"\):", code):
            renpy.game.persistent._seen_ever[i] = True

        # Latest update changed some things so lets fix that.
        for i in re.findall(r"action Replay\(\"(.*)\"\)", code):
            renpy.game.persistent._seen_ever[i] = True

        for i in re.findall(r"if persistent\.(.*):", code):
            # Dynamic variables are the worst thing to ever exist, but this mod is *entirely* dynamic.
            # Hardcoding these would mean I might actually have to manually update this eventually.
            exec("renpy.game.persistent.%s = True" % i)
